import { type Ref } from 'vue';
import type { FormItemUnion } from '@cphayim-enc/base';
import { type UseFormOptions } from '@cphayim-enc/vue';
import type { EncFormInstanceType } from '../components';
type EncFormInstance = EncFormInstanceType | undefined;
/**
 * 对等表单 useForm hooks
 */
export declare function useForm<T extends Record<string, any>, F = Extract<keyof T, string>>(initData: T, items: FormItemUnion<F>[] | Ref<FormItemUnion<F>[]>, options?: UseFormOptions): {
    formRef: Ref<EncFormInstance>;
    setFormRef: (instance: EncFormInstance) => void;
    formItems: Ref<FormItemUnion<F>[]>;
    getItem: (name: F) => FormItemUnion<F> | undefined;
    updateItem: (name: F, updateItem: import("@cphayim-enc/base").PartialFormItemIntersectionWithoutNameAndType) => void;
    formData: Ref<T>;
    resetData: () => void;
};
export {};
